Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 4465)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 4466)
@@ -1384,33 +1389,33 @@
              ibit0 = REAL( IBITS(advc_flag(k,j,i-1),0,1), KIND = wp )
 
-             u_comp                     = u(k,j,i) - u_gtrans + u_stokes_zu(k)
-             swap_flux_x_local(k,j,tn) = u_comp * (                           &
-                                               ( 37.0_wp * ibit2 * adv_sca_5  &
-                                            +     7.0_wp * ibit1 * adv_sca_3  &
-                                            +              ibit0 * adv_sca_1  &
-                                               ) *                            &
-                                            ( sk(k,j,i)   + sk(k,j,i-1)    )  &
-                                        -      (  8.0_wp * ibit2 * adv_sca_5  &
-                                            +              ibit1 * adv_sca_3  &
-                                               ) *                            &
-                                            ( sk(k,j,i+1) + sk(k,j,i-2)    )  &
-                                        +      (           ibit2 * adv_sca_5  &
-                                               ) *                            &
-                                            ( sk(k,j,i+2) + sk(k,j,i-3)    )  &
+             u_comp                    = u(k,j,i) - u_gtrans + u_stokes_zu(k)
+             swap_flux_x_local(k,j,tn) = u_comp * (                            &
+                                               ( 37.0_wp * ibit2 * adv_sca_5   &
+                                            +     7.0_wp * ibit1 * adv_sca_3   &
+                                            +              ibit0 * adv_sca_1   &
+                                               ) *                             &
+                                            ( sk(k,j,i)   + sk(k,j,i-1)    )   &
+                                        -      (  8.0_wp * ibit2 * adv_sca_5   &
+                                            +              ibit1 * adv_sca_3   &
+                                               ) *                             &
+                                            ( sk(k,j,i+1) + sk(k,j,i-2)    )   &
+                                        +      (           ibit2 * adv_sca_5   &
+                                               ) *                             &
+                                            ( sk(k,j,i+2) + sk(k,j,i-3)    )   &
                                                   )
 
-             swap_diss_x_local(k,j,tn) = -ABS( u_comp ) * (                   &
-                                               ( 10.0_wp * ibit2 * adv_sca_5  &
-                                            +     3.0_wp * ibit1 * adv_sca_3  &
-                                            +              ibit0 * adv_sca_1  &
-                                               ) *                            &
-                                            ( sk(k,j,i)   - sk(k,j,i-1)    )  &
-                                        -      (  5.0_wp * ibit2 * adv_sca_5  &
-                                            +              ibit1 * adv_sca_3  &
-                                               ) *                            &
-                                            ( sk(k,j,i+1) - sk(k,j,i-2)    )  &
-                                        +      (           ibit2 * adv_sca_5  &
-                                               ) *                            &
-                                            ( sk(k,j,i+2) - sk(k,j,i-3)    )  &
+             swap_diss_x_local(k,j,tn) = -ABS( u_comp ) * (                    &
+                                               ( 10.0_wp * ibit2 * adv_sca_5   &
+                                            +     3.0_wp * ibit1 * adv_sca_3   &
+                                            +              ibit0 * adv_sca_1   &
+                                               ) *                             &
+                                            ( sk(k,j,i)   - sk(k,j,i-1)    )   &
+                                        -      (  5.0_wp * ibit2 * adv_sca_5   &
+                                            +              ibit1 * adv_sca_3   &
+                                               ) *                             &
+                                            ( sk(k,j,i+1) - sk(k,j,i-2)    )   &
+                                        +      (           ibit2 * adv_sca_5   &
+                                               ) *                             &
+                                            ( sk(k,j,i+2) - sk(k,j,i-3)    )   &
                                                           )
 
@@ -1419,28 +1424,24 @@
           DO  k = nzb_max_l+1, nzt
 
-             u_comp                 = u(k,j,i) - u_gtrans + u_stokes_zu(k)
-             swap_flux_x_local(k,j,tn) = u_comp * (                           &
-                                      37.0_wp * ( sk(k,j,i)   + sk(k,j,i-1) ) &
-                                    -  8.0_wp * ( sk(k,j,i+1) + sk(k,j,i-2) ) &
-                                    +           ( sk(k,j,i+2) + sk(k,j,i-3) ) &
+             u_comp                    = u(k,j,i) - u_gtrans + u_stokes_zu(k)
+             swap_flux_x_local(k,j,tn) = u_comp * (                            &
+                                      37.0_wp * ( sk(k,j,i)   + sk(k,j,i-1) )  &
+                                    -  8.0_wp * ( sk(k,j,i+1) + sk(k,j,i-2) )  &
+                                    +           ( sk(k,j,i+2) + sk(k,j,i-3) )  &
                                                   ) * adv_sca_5
 
-             swap_diss_x_local(k,j,tn) = -ABS( u_comp ) * (                   &
-                                      10.0_wp * ( sk(k,j,i)   - sk(k,j,i-1) ) &
-                                    -  5.0_wp * ( sk(k,j,i+1) - sk(k,j,i-2) ) &
-                                    +           ( sk(k,j,i+2) - sk(k,j,i-3) ) &
+             swap_diss_x_local(k,j,tn) = -ABS( u_comp ) * (                    &
+                                      10.0_wp * ( sk(k,j,i)   - sk(k,j,i-1) )  &
+                                    -  5.0_wp * ( sk(k,j,i+1) - sk(k,j,i-2) )  &
+                                    +           ( sk(k,j,i+2) - sk(k,j,i-3) )  &
                                                           ) * adv_sca_5
 
           ENDDO
-           
+
        ENDIF
-!        
-!--    Now compute the fluxes and tendency terms for the horizontal and
-!--    vertical parts up to the top of the highest topography.
+!
+!--    Now compute the fluxes for the horizontal termns up to the highest
+!--    topography.
        DO  k = nzb+1, nzb_max_l
-!
-!--       Note: It is faster to conduct all multiplications explicitly, e.g.
-!--       * adv_sca_5 ... than to determine a factor and multiplicate the
-!--       flux at the end. 
 
           ibit2 = REAL( IBITS(advc_flag(k,j,i),2,1), KIND = wp )
@@ -1449,32 +1450,32 @@
 
           u_comp    = u(k,j,i+1) - u_gtrans + u_stokes_zu(k)
-          flux_r(k) = u_comp * (                                              &
-                     ( 37.0_wp * ibit2 * adv_sca_5                            &
-                  +     7.0_wp * ibit1 * adv_sca_3                            &
-                  +              ibit0 * adv_sca_1                            &
-                     ) *                                                      &
-                             ( sk(k,j,i+1) + sk(k,j,i)   )                    &
-              -      (  8.0_wp * ibit2 * adv_sca_5                            &
-                  +              ibit1 * adv_sca_3                            &
-                     ) *                                                      &
-                             ( sk(k,j,i+2) + sk(k,j,i-1) )                    &
-              +      (           ibit2 * adv_sca_5                            &
-                     ) *                                                      &
-                             ( sk(k,j,i+3) + sk(k,j,i-2) )                    &
+          flux_r(k) = u_comp * (                                               &
+                     ( 37.0_wp * ibit2 * adv_sca_5                             &
+                  +     7.0_wp * ibit1 * adv_sca_3                             &
+                  +              ibit0 * adv_sca_1                             &
+                     ) *                                                       &
+                             ( sk(k,j,i+1) + sk(k,j,i)   )                     &
+              -      (  8.0_wp * ibit2 * adv_sca_5                             &
+                  +              ibit1 * adv_sca_3                             &
+                     ) *                                                       &
+                             ( sk(k,j,i+2) + sk(k,j,i-1) )                     &
+              +      (           ibit2 * adv_sca_5                             &
+                     ) *                                                       &
+                             ( sk(k,j,i+3) + sk(k,j,i-2) )                     &
                                )
 
-          diss_r(k) = -ABS( u_comp ) * (                                      &
-                     ( 10.0_wp * ibit2 * adv_sca_5                            &
-                  +     3.0_wp * ibit1 * adv_sca_3                            &
-                  +              ibit0 * adv_sca_1                            &
-                     ) *                                                      &
-                             ( sk(k,j,i+1) - sk(k,j,i)  )                     &
-              -      (  5.0_wp * ibit2 * adv_sca_5                            &
-                  +              ibit1 * adv_sca_3                            &
-                     ) *                                                      &
-                             ( sk(k,j,i+2) - sk(k,j,i-1) )                    &
-              +      (           ibit2 * adv_sca_5                            &
-                     ) *                                                      &
-                             ( sk(k,j,i+3) - sk(k,j,i-2) )                    &
+          diss_r(k) = -ABS( u_comp ) * (                                       &
+                     ( 10.0_wp * ibit2 * adv_sca_5                             &
+                  +     3.0_wp * ibit1 * adv_sca_3                             &
+                  +              ibit0 * adv_sca_1                             &
+                     ) *                                                       &
+                             ( sk(k,j,i+1) - sk(k,j,i)  )                      &
+              -      (  5.0_wp * ibit2 * adv_sca_5                             &
+                  +              ibit1 * adv_sca_3                             &
+                     ) *                                                       &
+                             ( sk(k,j,i+2) - sk(k,j,i-1) )                     &
+              +      (           ibit2 * adv_sca_5                             &
+                     ) *                                                       &
+                             ( sk(k,j,i+3) - sk(k,j,i-2) )                     &
                                        )
 
@@ -1515,7 +1516,7 @@
        ENDDO
 !
-!--    Now compute the fluxes and tendency terms for the horizontal and
-!--    vertical parts above the top of the highest topography. No degradation
-!--    for the horizontal parts, but for the vertical it is stell needed.
+!--    Now compute the fluxes for the horizontal terms above the topography
+!--    where no degradation along the horizontal parts is necessary (except
+!--    for the non-cyclic lateral boundaries treated by nzb_max_l).
        DO  k = nzb_max_l+1, nzt
 
@@ -1542,9 +1543,9 @@
        ENDDO
 !
-!--    Now, compute vertical fluxes. Split loop into a part treating the 
+!--    Now, compute vertical fluxes. Split loop into a part treating the
 !--    lowest grid points with indirect indexing, a main loop without
 !--    indirect indexing, and a loop for the uppermost grip points with
 !--    indirect indexing. This allows better vectorization for the main loop.
-!--    First, compute the flux at model surface, which need has to be 
+!--    First, compute the flux at model surface, which need has to be
 !--    calculated explicetely for the tendency at
 !--    the first w-level. For topography wall this is done implicitely by
@@ -1552,5 +1553,5 @@
        flux_t(nzb) = 0.0_wp
        diss_t(nzb) = 0.0_wp
-       
+
        DO  k = nzb+1, nzb+1
           ibit8 = REAL( IBITS(advc_flag(k,j,i),8,1), KIND = wp )
@@ -1563,82 +1564,4 @@
           k_pp  = k + 2 * ( 1 - ibit6  )
           k_mm  = k - 2 * ibit8
-
-
-          flux_t(k) = w(k,j,i) * rho_air_zw(k) * (                            &
-                     ( 37.0_wp * ibit8 * adv_sca_5                            &
-                  +     7.0_wp * ibit7 * adv_sca_3                            &
-                  +              ibit6 * adv_sca_1                            &
-                     ) *                                                      &
-                             ( sk(k+1,j,i)  + sk(k,j,i)    )                  &
-              -      (  8.0_wp * ibit8 * adv_sca_5                            &
-                  +              ibit7 * adv_sca_3                            &
-                     ) *                                                      &
-                             ( sk(k_pp,j,i) + sk(k-1,j,i)  )                  &
-              +      (           ibit8 * adv_sca_5                            &
-                     ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )                  &
-                                 )
-
-          diss_t(k) = -ABS( w(k,j,i) ) * rho_air_zw(k) * (                    &
-                     ( 10.0_wp * ibit8 * adv_sca_5                            &
-                  +     3.0_wp * ibit7 * adv_sca_3                            &
-                  +              ibit6 * adv_sca_1                            &
-                     ) *                                                      &
-                             ( sk(k+1,j,i)   - sk(k,j,i)    )                 &
-              -      (  5.0_wp * ibit8 * adv_sca_5                            &
-                  +              ibit7 * adv_sca_3                            &
-                     ) *                                                      &
-                             ( sk(k_pp,j,i)  - sk(k-1,j,i)  )                 &
-              +      (           ibit8 * adv_sca_5                            &
-                     ) *                                                      &
-                             ( sk(k_ppp,j,i) - sk(k_mm,j,i) )                 &
-                                         )
-       ENDDO 
-       
-       DO  k = nzb+2, nzt-2
-          ibit8 = REAL( IBITS(advc_flag(k,j,i),8,1), KIND = wp )
-          ibit7 = REAL( IBITS(advc_flag(k,j,i),7,1), KIND = wp )
-          ibit6 = REAL( IBITS(advc_flag(k,j,i),6,1), KIND = wp )
-
-          flux_t(k) = w(k,j,i) * rho_air_zw(k) * (                            &
-                     ( 37.0_wp * ibit8 * adv_sca_5                            &
-                  +     7.0_wp * ibit7 * adv_sca_3                            &
-                  +              ibit6 * adv_sca_1                            &
-                     ) *                                                      &
-                             ( sk(k+1,j,i)  + sk(k,j,i)    )                  &
-              -      (  8.0_wp * ibit8 * adv_sca_5                            &
-                  +              ibit7 * adv_sca_3                            &
-                     ) *                                                      &
-                             ( sk(k+2,j,i) + sk(k-1,j,i)  )                   &
-              +      (           ibit8 * adv_sca_5                            &
-                     ) *     ( sk(k+3,j,i)+ sk(k-2,j,i) )                     &
-                                                 )
-
-          diss_t(k) = -ABS( w(k,j,i) ) * rho_air_zw(k) * (                    &
-                     ( 10.0_wp * ibit8 * adv_sca_5                            &
-                  +     3.0_wp * ibit7 * adv_sca_3                            &
-                  +              ibit6 * adv_sca_1                            &
-                     ) *                                                      &
-                             ( sk(k+1,j,i)   - sk(k,j,i)    )                 &
-              -      (  5.0_wp * ibit8 * adv_sca_5                            &
-                  +              ibit7 * adv_sca_3                            &
-                     ) *                                                      &
-                             ( sk(k+2,j,i)  - sk(k-1,j,i)  )                  &
-              +      (           ibit8 * adv_sca_5                            &
-                     ) *                                                      &
-                             ( sk(k+3,j,i) - sk(k-2,j,i) )                    &
-                                                         )
-       ENDDO       
-       
-       DO  k = nzt-1, nzt-symmetry_flag
-          ibit8 = REAL( IBITS(advc_flag(k,j,i),8,1), KIND = wp )
-          ibit7 = REAL( IBITS(advc_flag(k,j,i),7,1), KIND = wp )
-          ibit6 = REAL( IBITS(advc_flag(k,j,i),6,1), KIND = wp )
-!
-!--       k index has to be modified near bottom and top, else array
-!--       subscripts will be exceeded.
-          k_ppp = k + 3 * ibit8
-          k_pp  = k + 2 * ( 1 - ibit6  )
-          k_mm  = k - 2 * ibit8
-
 
           flux_t(k) = w(k,j,i) * rho_air_zw(k) * (                            &
@@ -1671,9 +1594,86 @@
                                                          )
        ENDDO
-       
+
+       DO  k = nzb+2, nzt-2
+          ibit8 = REAL( IBITS(advc_flag(k,j,i),8,1), KIND = wp )
+          ibit7 = REAL( IBITS(advc_flag(k,j,i),7,1), KIND = wp )
+          ibit6 = REAL( IBITS(advc_flag(k,j,i),6,1), KIND = wp )
+
+          flux_t(k) = w(k,j,i) * rho_air_zw(k) * (                            &
+                     ( 37.0_wp * ibit8 * adv_sca_5                            &
+                  +     7.0_wp * ibit7 * adv_sca_3                            &
+                  +              ibit6 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k+1,j,i)  + sk(k,j,i)    )                  &
+              -      (  8.0_wp * ibit8 * adv_sca_5                            &
+                  +              ibit7 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k+2,j,i) + sk(k-1,j,i)  )                   &
+              +      (           ibit8 * adv_sca_5                            &
+                     ) *     ( sk(k+3,j,i)+ sk(k-2,j,i) )                     &
+                                                 )
+
+          diss_t(k) = -ABS( w(k,j,i) ) * rho_air_zw(k) * (                    &
+                     ( 10.0_wp * ibit8 * adv_sca_5                            &
+                  +     3.0_wp * ibit7 * adv_sca_3                            &
+                  +              ibit6 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k+1,j,i)   - sk(k,j,i)    )                 &
+              -      (  5.0_wp * ibit8 * adv_sca_5                            &
+                  +              ibit7 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k+2,j,i)  - sk(k-1,j,i)  )                  &
+              +      (           ibit8 * adv_sca_5                            &
+                     ) *                                                      &
+                             ( sk(k+3,j,i) - sk(k-2,j,i) )                    &
+                                                         )
+       ENDDO
+
+       DO  k = nzt-1, nzt-symmetry_flag
+          ibit8 = REAL( IBITS(advc_flag(k,j,i),8,1), KIND = wp )
+          ibit7 = REAL( IBITS(advc_flag(k,j,i),7,1), KIND = wp )
+          ibit6 = REAL( IBITS(advc_flag(k,j,i),6,1), KIND = wp )
+!
+!--       k index has to be modified near bottom and top, else array
+!--       subscripts will be exceeded.
+          k_ppp = k + 3 * ibit8
+          k_pp  = k + 2 * ( 1 - ibit6  )
+          k_mm  = k - 2 * ibit8
+
+
+          flux_t(k) = w(k,j,i) * rho_air_zw(k) * (                            &
+                     ( 37.0_wp * ibit8 * adv_sca_5                            &
+                  +     7.0_wp * ibit7 * adv_sca_3                            &
+                  +              ibit6 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k+1,j,i)  + sk(k,j,i)    )                  &
+              -      (  8.0_wp * ibit8 * adv_sca_5                            &
+                  +              ibit7 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k_pp,j,i) + sk(k-1,j,i)  )                  &
+              +      (           ibit8 * adv_sca_5                            &
+                     ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )                  &
+                                                 )
+
+          diss_t(k) = -ABS( w(k,j,i) ) * rho_air_zw(k) * (                    &
+                     ( 10.0_wp * ibit8 * adv_sca_5                            &
+                  +     3.0_wp * ibit7 * adv_sca_3                            &
+                  +              ibit6 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k+1,j,i)   - sk(k,j,i)    )                 &
+              -      (  5.0_wp * ibit8 * adv_sca_5                            &
+                  +              ibit7 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k_pp,j,i)  - sk(k-1,j,i)  )                 &
+              +      (           ibit8 * adv_sca_5                            &
+                     ) *                                                      &
+                             ( sk(k_ppp,j,i) - sk(k_mm,j,i) )                 &
+                                                         )
+       ENDDO
+
 !
 !--    Set resolved/turbulent flux at model top to zero (w-level). In case that
 !--    a symmetric behavior between bottom and top shall be guaranteed (closed
-!--    channel flow), the flux at nzt is also set to zero. 
+!--    channel flow), the flux at nzt is also set to zero.
        IF ( symmetry_flag == 1 ) THEN
           flux_t(nzt) = 0.0_wp
@@ -1682,6 +1682,6 @@
        flux_t(nzt+1) = 0.0_wp
        diss_t(nzt+1) = 0.0_wp
-       
-       
+
+
        IF ( limiter )  THEN
 !
@@ -1695,58 +1695,58 @@
 !
 !--          In flux limitation the total flux will be corrected. For the sake
-!--          of cleariness the higher-order advective and disspative fluxes 
-!--          will be merged onto flux_t. 
+!--          of cleariness the higher-order advective and disspative fluxes
+!--          will be merged onto flux_t.
              flux_t(k) = flux_t(k) + diss_t(k)
              diss_t(k) = 0.0_wp
           ENDDO
 !
-!--       Flux limitation of vertical fluxes according to Skamarock (2006). 
+!--       Flux limitation of vertical fluxes according to Skamarock (2006).
 !--       Please note, as flux limitation implies linear dependencies of fluxes,
 !--       flux limitation is only made for the vertical advection term. Limitation
-!--       of the horizontal terms cannot be parallelized. 
+!--       of the horizontal terms cannot be parallelized.
 !--       Due to the linear dependency, the following loop will not be vectorized.
 !--       Further, note that the flux limiter is only applied within the urban
-!--       layer, i.e up to the topography top.  
+!--       layer, i.e up to the topography top.
           DO  k = nzb+1, nzb_max_l
 !
 !--          Compute one-dimensional divergence along the vertical direction,
-!--          which is used to correct the advection discretization. This is 
+!--          which is used to correct the advection discretization. This is
 !--          necessary as in one-dimensional space the advection velocity
-!--          should actually be constant. 
+!--          should actually be constant.
              div = ( w(k,j,i)   * rho_air_zw(k)                                &
-                   - w(k-1,j,i) * rho_air_zw(k-1)                              &      
+                   - w(k-1,j,i) * rho_air_zw(k-1)                              &
                    ) * drho_air(k) * ddzw(k)
 !
-!--          Compute monotone solution of the advection equation from 
+!--          Compute monotone solution of the advection equation from
 !--          1st-order fluxes. Please note, the advection equation is corrected
 !--          by the divergence term (in 1D the advective flow should be divergence
-!--          free). Moreover, please note, as time-increment the full timestep 
-!--          is used, even though a Runge-Kutta scheme will be used. However, 
-!--          the length of the actual time increment is not important at all 
-!--          since it cancels out later when the fluxes are limited.   
+!--          free). Moreover, please note, as time-increment the full timestep
+!--          is used, even though a Runge-Kutta scheme will be used. However,
+!--          the length of the actual time increment is not important at all
+!--          since it cancels out later when the fluxes are limited.
              mon = sk(k,j,i) + ( - ( flux_t_1st(k) - flux_t_1st(k-1) )         &
                              * drho_air(k) * ddzw(k)                           &
                              + div * sk(k,j,i)                                 &
-                               ) * dt_3d 
+                               ) * dt_3d
 !
 !--          Determine minimum and maximum values along the numerical stencil.
              k_mmm = MAX( k - 3, nzb + 1 )
-             k_ppp = MIN( k + 3, nzt + 1 ) 
+             k_ppp = MIN( k + 3, nzt + 1 )
 
              min_val = MINVAL( sk(k_mmm:k_ppp,j,i) )
              max_val = MAXVAL( sk(k_mmm:k_ppp,j,i) )
 !
-!--          Compute difference between high- and low-order fluxes, which may 
+!--          Compute difference between high- and low-order fluxes, which may
 !--          act as correction fluxes
              f_corr_t = flux_t(k)   - flux_t_1st(k)
              f_corr_d = flux_t(k-1) - flux_t_1st(k-1)
 !
-!--          Determine outgoing fluxes, i.e. the part of the fluxes which can 
+!--          Determine outgoing fluxes, i.e. the part of the fluxes which can
 !--          decrease the value within the grid box
              f_corr_t_out = MAX( 0.0_wp, f_corr_t )
              f_corr_d_out = MIN( 0.0_wp, f_corr_d )
 !
-!--          Determine ingoing fluxes, i.e. the part of the fluxes which can 
-!--          increase the value within the grid box 
+!--          Determine ingoing fluxes, i.e. the part of the fluxes which can
+!--          increase the value within the grid box
              f_corr_t_in = MIN( 0.0_wp, f_corr_t)
              f_corr_d_in = MAX( 0.0_wp, f_corr_d)
@@ -1762,5 +1762,5 @@
 !--          Check if outgoing fluxes can lead to undershoots, i.e. values smaller
 !--          than the minimum value within the numerical stencil. If so, limit
-!--          them. 
+!--          them.
              IF ( mon - min_val < - div_out  .AND.  ABS( div_out ) > 0.0_wp )  &
              THEN
@@ -1772,5 +1772,5 @@
 !--          Check if ingoing fluxes can lead to overshoots, i.e. values larger
 !--          than the maximum value within the numerical stencil. If so, limit
-!--          them. 
+!--          them.
              IF ( mon - max_val > - div_in  .AND.  ABS( div_in ) > 0.0_wp )    &
              THEN
@@ -1780,24 +1780,25 @@
              ENDIF
 !
-!--          Finally add the limited fluxes to the original ones. If no 
-!--          flux limitation was done, the fluxes equal the original ones. 
+!--          Finally add the limited fluxes to the original ones. If no
+!--          flux limitation was done, the fluxes equal the original ones.
              flux_t(k)   = flux_t_1st(k)   + f_corr_t_out + f_corr_t_in
              flux_t(k-1) = flux_t_1st(k-1) + f_corr_d_out + f_corr_d_in
           ENDDO
        ENDIF
-
+!
+!--    Now compute the tendency term including divergence correction.
        DO  k = nzb+1, nzb_max_l
 
           flux_d    = flux_t(k-1)
           diss_d    = diss_t(k-1)
-          
+
           ibit2 = REAL( IBITS(advc_flag(k,j,i),2,1), KIND = wp )
           ibit1 = REAL( IBITS(advc_flag(k,j,i),1,1), KIND = wp )
           ibit0 = REAL( IBITS(advc_flag(k,j,i),0,1), KIND = wp )
-          
+
           ibit5 = REAL( IBITS(advc_flag(k,j,i),5,1), KIND = wp )
           ibit4 = REAL( IBITS(advc_flag(k,j,i),4,1), KIND = wp )
           ibit3 = REAL( IBITS(advc_flag(k,j,i),3,1), KIND = wp )
-          
+
           ibit8 = REAL( IBITS(advc_flag(k,j,i),8,1), KIND = wp )
           ibit7 = REAL( IBITS(advc_flag(k,j,i),7,1), KIND = wp )
